
## feather files previously saved are joined to get the total impacts. 

dbi1 <- read_feather('iar_infra_f') %>% 
  mutate_at(vars(Id_sample,Id_holding_yr,Methodology,Impact_category,Acronym,Unit),as_factor) %>% 
  mutate(Stage = 'Infrastructure')


dbi2 <- read_feather('iar_fer_pd_f')%>% 
  mutate_at(vars(Id_sample,Id_holding_yr,Methodology,Impact_category,Acronym,Unit),as_factor) %>% 
  mutate(Stage = 'Fertiliser production')


dbi3 <- read_feather('iar_pest_pd_f')%>% 
  mutate_at(vars(Id_sample,Id_holding_yr,Methodology,Impact_category,Acronym,Unit),as_factor) %>% 
  mutate(Stage = 'Pesticide production')

dbi4 <- read_feather('iar_onfield_f') %>% 
  mutate_at(vars(Id_sample,Id_holding_yr,Methodology,Impact_category,Acronym,Unit),as_factor) %>%
  mutate(Stage = 'On-field operations')


dbi5 <- read_feather('iar_machinery_f')%>% 
  mutate_at(vars(Id_sample,Id_holding_yr,Methodology,Impact_category,Acronym,Unit),as_factor) %>% 
  mutate(Stage = 'Machinery use')
 
  
dbi6 <- read_feather('iar_irrigation_f')%>% 
  mutate_at(vars(Id_sample,Id_holding_yr,Methodology,Impact_category,Acronym,Unit),as_factor) %>% 
  mutate(Stage = 'Irrigation')


##

db_impacts <- dbi1 %>% 
  full_join(dbi2)

db_impacts <- db_impacts %>% 
  full_join(dbi3)

db_impacts <- db_impacts %>% 
  full_join(dbi4)

db_impacts <- db_impacts %>% 
  full_join(dbi5)

db_impacts <- db_impacts %>% 
  full_join(dbi6)

db_impacts <- db_impacts %>% 
  right_join(select(db_ecrea,Id_holding_yr,Type_of_crop,Id_holding,Crop,System,NUTS2,NUTS2_ac,Year,Yield,Gross_incomes,EBITDA))

## The following line can be used to save the total impacts of the reference holding as feather file
#write_feather(db_impacts,'i_art2_total_f')
